Index: package_tags/invirt-database-server/0.0.10/debian/changelog
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/changelog	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/changelog	(revision 2081)
@@ -0,0 +1,438 @@
+invirt-database-server (0.0.10) unstable; urgency=low
+
+  [ Greg Price ]
+  * invirt-database-tables: populate types table
+
+  [ Evan Broder ]
+  * Conditionalize populating the types table on the types not being there
+    already.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 03:58:16 -0500
+
+invirt-database-server (0.0.9) unstable; urgency=low
+
+  * Add Provides and Conflicts lines to debian/control for
+    config-package-dev
+
+ -- Evan Broder <broder@mit.edu>  Sat, 24 Jan 2009 20:15:08 -0500
+
+invirt-database-server (0.0.8) unstable; urgency=low
+
+  * pg_hba.conf: remove password-auth localhost lines, which interfere
+    with the case where config.db.host is localhost.
+
+ -- Greg Price <price@mit.edu>  Mon, 29 Dec 2008 00:03:36 -0500
+
+invirt-database-server (0.0.7) unstable; urgency=low
+
+  * Don't depend on invirt-mail-config
+
+ -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:49:30 -0500
+
+invirt-database-server (0.0.6) unstable; urgency=low
+
+  * Depend on invirt-mail-config
+
+ -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:47:17 -0500
+
+invirt-database-server (0.0.5) unstable; urgency=low
+
+  * Use invoke-rc.d instead of calling init scripts directly
+
+ -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:26:30 -0400
+
+invirt-database-server (0.0.4) unstable; urgency=low
+
+  * sipb-xen-base -> invirt-base
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:20 -0400
+
+invirt-database-server (0.0.3) unstable; urgency=low
+
+  * Fix a typo on the postfix.conf.invirt transform script
+  * Postgres will try to intelligently select a port. We don't want it to
+    do that - force the port to our standard number
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:50:02 -0400
+
+invirt-database-server (0.0.2) unstable; urgency=low
+
+  * Catch one dependency that wasn't updated
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:25:58 -0400
+
+invirt-database-server (0.0.1) unstable; urgency=low
+
+  * sipb-xen-database-common -> invirt-database
+  * sipb-xen-database-server -> invirt-database-server (a separate source package)
+  * sipb-xen-database-client -> invirt-xen-config
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:22:46 -0400
+
+sipb-xen-database (10.36.1) unstable; urgency=low
+
+  * Typo in the new tables
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 15:01:47 -0400
+
+sipb-xen-database (10.36) unstable; urgency=low
+
+  * Kill the remnants of the sipb_xen_database package
+  * Add the CDROM mirrors table
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 14:48:32 -0400
+
+sipb-xen-database (10.35) unstable; urgency=low
+
+  * Shorten initscript with spiffy new library from sipb-xen-base
+
+ -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 07:25:56 -0400
+
+sipb-xen-database (10.34) unstable; urgency=low
+
+  * yet another new-sqlalchemy fix, this one post-0.4.2
+
+ -- Greg Price <price@mit.edu>  Thu, 23 Oct 2008 23:02:46 -0400
+
+sipb-xen-database (10.33) unstable; urgency=low
+
+  * Catch calls to restart Postgres and translate them into a sequential
+    stop, then start
+
+ -- Evan Broder <broder@mit.edu>  Mon, 20 Oct 2008 13:05:29 -0400
+
+sipb-xen-database (10.32) unstable; urgency=low
+
+  * invirt.database.clear_cache should actually do something
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 02:02:37 -0400
+
+sipb-xen-database (10.31) unstable; urgency=low
+
+  * Database-managed VMs should never even think about bridging
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 01:46:45 -0400
+
+sipb-xen-database (10.30.4) unstable; urgency=low
+
+  * Fix a typo in the CDROM image path
+
+ -- Evan Broder <broder@mit.edu>  Wed, 15 Oct 2008 13:21:10 -0400
+
+sipb-xen-database (10.30.3) unstable; urgency=low
+
+  * fix copy-paste errors in initscript: this is database, not console
+  * fix "typo" in initscript for package name printed in logs
+
+ -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:50:11 -0700
+
+sipb-xen-database (10.30.2) unstable; urgency=low
+
+  * Fix a typo in the CDROM lookup in sipb-database
+
+ -- Evan Broder <broder@mit.edu>  Sat, 11 Oct 2008 19:17:05 -0400
+
+sipb-xen-database (10.30.1) unstable; urgency=low
+
+  * Don't strip quotes that won't be there
+
+ -- Evan Broder <broder@mit.edu>  Fri, 10 Oct 2008 01:48:48 -0400
+
+sipb-xen-database (10.30) unstable; urgency=low
+
+  * Look for CD images in /dev/xenvg/image_* and validate image name from
+    the database
+  * Pass the installer arguments unaltered to the kernel, matching the
+    remctl interface
+
+ -- Evan Broder <broder@mit.edu>  Thu, 09 Oct 2008 02:09:42 -0400
+
+sipb-xen-database (10.29) unstable; urgency=low
+
+  * Some fixes in the sipb-database script
+
+ -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 18:55:24 -0400
+
+sipb-xen-database (10.28) unstable; urgency=low
+
+  * Re-establish the database connection if the server goes AWOL
+
+ -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400
+
+sipb-xen-database (10.27) unstable; urgency=low
+
+  * Update sipb-database to work with newer SQLAlchemy and Xen
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400
+
+sipb-xen-database (10.26.1) unstable; urgency=low
+
+  * We want autoflush off, too
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400
+
+sipb-xen-database (10.26) unstable; urgency=low
+
+  * Disable transactions by default
+
+ -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400
+
+sipb-xen-database (10.25) unstable; urgency=low
+
+  * add remote and console to pg_hba.conf template
+  * fix init script so it works
+  * port more code to sqlalchemy 0.4
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400
+
+sipb-xen-database (10.24) unstable; urgency=low
+
+  * Update postgresql.conf for Hardy
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400
+
+sipb-xen-database (10.23) unstable; urgency=low
+
+  * switch to postgresql 8.3, as 8.1 isn't in hardy
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400
+
+sipb-xen-database (10.22) unstable; urgency=low
+
+  * depend on postgresql without specifying old version 8.1
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400
+
+sipb-xen-database (10.21) unstable; urgency=low
+
+  * fix distribution
+
+ -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400
+
+sipb-xen-database (10.20) hardy; urgency=low
+
+  * port to sqlalchemy-0.4, which cuts out some newly deprecated
+    interfaces and allowed some still-present interfaces to bitrot
+
+ -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000
+
+sipb-xen-database (10.19) unstable; urgency=low
+
+  * Generate config files for pg_hba.conf
+  * replace postgresql.conf
+
+ --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000
+
+sipb-xen-database (10.18) unstable; urgency=low
+
+  * add 'adminable' column to machines; for selectively, temporarily,
+    enabling admin mode on a machine
+
+ -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400
+
+sipb-xen-database (10.17) unstable; urgency=low
+
+  * pull IP gateway, network from config
+  * configurabilization complete!
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400
+
+sipb-xen-database (10.16) unstable; urgency=low
+
+  in sipb-xen-database-tables:
+  * use invirt.database, and take default db uri
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400
+
+sipb-xen-database (10.15) unstable; urgency=low
+
+  in /etc/xen/database:
+  * uncommitted changes on black-mesa
+  * sipb_xen_database -> invirt.database
+  * use default db uri
+
+  in invirt.database:
+  * get default db uri from invirt.config
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400
+
+sipb-xen-database (10.14) unstable; urgency=low
+
+  * Rename sipb_xen_database -> invirt.database,
+    keeping old name too for now, for compatibility.
+
+ -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400
+
+sipb-xen-database (10.13) unstable; urgency=low
+
+  * Modify autoinstalls table to specify distribution/mirror.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Sat, 21 Jun 2008 21:25:21 -0400
+
+sipb-xen-database (10.12) unstable; urgency=low
+
+  * Add a description field.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jun 2008 03:52:49 -0400
+
+sipb-xen-database (10.11) unstable; urgency=low
+
+  * Specify ON DELETE CASCADE
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:25:35 -0400
+
+sipb-xen-database (10.10) unstable; urgency=low
+
+  * Make machine.acl a private relation.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:03:09 -0400
+
+sipb-xen-database (10.9) unstable; urgency=low
+
+  * Eager loading of relations for better performance.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 02 Jun 2008 01:39:11 -0400
+
+sipb-xen-database (10.8) unstable; urgency=low
+
+  * Configure serial console on boot
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Thu,  1 May 2008 20:21:25 -0400
+
+sipb-xen-database (10.7) unstable; urgency=low
+
+  * Depend on psql client in -client package.
+
+ -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:41 -0400
+
+sipb-xen-database (10.6) unstable; urgency=low
+
+  * Support autoinstalls table.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 22:34:46 -0400
+
+sipb-xen-database (10.5) unstable; urgency=low
+
+  * Enable USB tablet device in guests.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Apr 2008 17:39:59 -0400
+
+sipb-xen-database (10.4.1) unstable; urgency=low
+
+  * Actually export the cache clearing function.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 21:18:01 -0400
+
+sipb-xen-database (10.4) unstable; urgency=low
+
+  * Ubuntu's dch sucks.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 20:43:42 -0400
+
+sipb-xen-database (10.3ubuntu1) gutsy; urgency=low
+
+  * Expose a function for clearing the cache.
+
+ -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 20:31:06 -0400
+
+sipb-xen-database (10.3) unstable; urgency=low
+
+  * Use 'acl', not 'users', for the reference to the machine_access table.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 24 Jan 2008 17:23:33 -0500
+
+sipb-xen-database (10.2) unstable; urgency=low
+
+  * Add MachineAccess to __all__ so it can be imported
+  * Remove unnecessary constructors for database objects
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:53:47 -0500
+
+sipb-xen-database (10.1) unstable; urgency=low
+
+  * Make sipb-xen-database-tables safer (don't default to drop_all)
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:39:59 -0500
+
+sipb-xen-database (10) unstable; urgency=low
+
+  * Added a machine_access table for cached ACLs
+
+ -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:24:35 -0500
+
+sipb-xen-database (9.0) unstable; urgency=low
+
+  * No changes.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:17:20 -0400
+
+sipb-xen-database (9) unstable; urgency=low
+
+  * Add administrator column and backrefs to machine.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Wed, 10 Oct 2007 00:11:47 -0400
+
+sipb-xen-database (8) gutsy; urgency=low
+
+  * Prepend d_ to database VMs.
+
+ -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:35:51 -0400
+
+sipb-xen-database (7.00002) gutsy; urgency=low
+
+  * Actually import re.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 04:34:07 -0400
+
+sipb-xen-database (7.00001) gutsy; urgency=low
+
+  * import re.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:40:25 -0400
+
+sipb-xen-database (7) unstable; urgency=low
+
+  * nics primary key should be mac address, not hostname.
+  * Make ip unique, and constructor for nics.
+  * Add a table for boot CDs.
+  * Add cdrom_image parameter.
+  * Regex sanity checking.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 07 Oct 2007 03:18:30 -0400
+
+sipb-xen-database (6) unstable; urgency=low
+
+  * Adding a script to create lvm volumes
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sat, 22 Sep 2007 13:59:36 -0400
+
+sipb-xen-database (5) unstable; urgency=low
+
+  * Change the host from sipb-vm-1 to sipb-xen-dev
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sat,  8 Sep 2007 16:16:07 -0400
+
+sipb-xen-database (4) unstable; urgency=low
+
+  * Add script=vif-sipbroute to our vif lines
+
+ -- Nelson Elhage <nelhage@mit.edu>  Fri, 24 Aug 2007 22:07:18 -0400
+
+sipb-xen-database (3) unstable; urgency=low
+
+  * Add a connect() line to sipb-database
+  * Fix some other bugs in sipb-database
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sun, 19 Aug 2007 19:40:08 -0400
+
+sipb-xen-database (2) unstable; urgency=low
+
+  * Fix the postinit and prerm scripts to create a sipb-xen user
+
+ -- Nelson Elhage <nelhage@mit.edu>  Thu, 16 Aug 2007 16:27:36 -0400
+
+sipb-xen-database (1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Nelson Elhage <nelhage@mit.edu>  Sun, 15 Jul 2007 16:01:16 -0400
Index: package_tags/invirt-database-server/0.0.10/debian/compat
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/compat	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/compat	(revision 2081)
@@ -0,0 +1,1 @@
+5
Index: package_tags/invirt-database-server/0.0.10/debian/control
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/control	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/control	(revision 2081)
@@ -0,0 +1,16 @@
+Source: invirt-database-server
+Section: net
+Priority: extra
+Maintainer: Invirt project <invirt@mit.edu>
+Build-Depends: cdbs, debhelper (>= 5), config-package-dev, postgresql-8.3
+Standards-Version: 3.8.0
+
+Package: invirt-database-server
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.3,
+ python-sqlalchemy, python-psycopg2, invirt-database, adduser,
+ invirt-base
+Provides: ${diverted-files}
+Conflicts: ${diverted-files}
+Description: Installs the Invirt database server
+ This tracks all the user VMs and is accessed from the VM host
Index: package_tags/invirt-database-server/0.0.10/debian/copyright
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/copyright	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/copyright	(revision 2081)
@@ -0,0 +1,16 @@
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.init
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.init	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.init	(revision 2081)
@@ -0,0 +1,19 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides:          invirt-database-server
+# Required-Start:    $local_fs $remote_fs
+# Required-Stop:     $local_fs $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Invirt database server
+# Description:       
+### END INIT INFO
+
+PACKAGE=invirt-database-server
+PARENTPACKAGE=postgresql-8.3
+GEN_FILES=/etc/postgresql/8.3/main/pg_hba.conf
+
+dpkg -s "$PACKAGE" >/dev/null 2>/dev/null || exit 0
+
+. /lib/init/config-init.sh
+config_init "$1"
Index: package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.install
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.install	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.install	(revision 2081)
@@ -0,0 +1,3 @@
+postgresql-8.3.invirt etc/init.d
+pg_hba.conf.mako etc/postgresql/8.3/main
+invirt-database-tables usr/bin
Index: package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.postinst
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.postinst	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.postinst	(revision 2081)
@@ -0,0 +1,53 @@
+#!/bin/sh
+# postinst script for invirt-database-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+# Note that by moving this above our generated code we could run into significant problems
+# if we happened to start a daemon, and use debconf
+# We move this up here because we need the diversion of postgresql.conf to happen before we create tables
+
+#DEBHELPER#
+
+
+case "$1" in
+    configure)
+        #Don't create users on upgrade
+        if [ -z "$2" ]; then
+            # Don't fail if the user/database already exists
+            su postgres -c 'createuser invirt -S -d -R'    || true
+            su postgres -c 'createdb invirt -O invirt'   || true
+            adduser --system invirt
+        fi
+	invoke-rc.d postgresql-8.3 restart
+        su invirt -s /bin/sh -c 'invirt-database-tables create'
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+exit 0
+
+
Index: package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.prerm
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.prerm	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/invirt-database-server.prerm	(revision 2081)
@@ -0,0 +1,45 @@
+#!/bin/sh
+# prerm script for invirt-database-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+
+        # This will destroy data -- do we want to do this?
+        # su postgres -c 'dropdb invirt'
+        # su postgres -c 'dropuser invirt'
+        deluser invirt
+    ;;
+
+    upgrade|failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
Index: package_tags/invirt-database-server/0.0.10/debian/rules
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/rules	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/rules	(revision 2081)
@@ -0,0 +1,12 @@
+#!/usr/bin/make -f
+
+DEB_DIVERT_EXTENSION = .invirt
+
+DEB_TRANSFORM_FILES_invirt-database-server += \
+	/etc/postgresql/8.3/main/postgresql.conf.invirt
+
+DEB_DIVERT_FILES_invirt-database-server += \
+	/etc/init.d/postgresql-8.3.invirt
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/config-package.mk
Index: package_tags/invirt-database-server/0.0.10/debian/transform_postgresql.conf.invirt
===================================================================
--- package_tags/invirt-database-server/0.0.10/debian/transform_postgresql.conf.invirt	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/debian/transform_postgresql.conf.invirt	(revision 2081)
@@ -0,0 +1,4 @@
+#!/usr/bin/perl -0p
+
+s/^#?listen_addresses = '[^']*'(.*)$/listen_addresses = '*'$1/m or die;
+s/^#?port = [0-9]*(.*)$/port = 5432$1/m or die;
Index: package_tags/invirt-database-server/0.0.10/invirt-database-tables
===================================================================
--- package_tags/invirt-database-server/0.0.10/invirt-database-tables	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/invirt-database-tables	(revision 2081)
@@ -0,0 +1,32 @@
+#!/usr/bin/env python
+
+from invirt import database
+import sys
+
+def usage():
+    print >>sys.stderr, "Usage: %s [create|drop]" %(sys.argv[0],)
+    sys.exit(-1)
+
+if len(sys.argv) == 1:
+    usage()
+
+def create():
+    database.meta.create_all()
+    session = database.session()
+    session.begin()
+    if not database.Type.query.get('linux-hvm'):
+        session.save(database.Type(type_id='linux-hvm', description='HVM',
+                                   hvm='t', apic='t', acpi='t', pae='t'))
+    if not database.Type.query.get('linux'):
+        session.save(database.Type(type_id='linux', description='ParaVM',
+                                   hvm='f', apic='f', acpi='f', pae='f'))
+    session.commit()
+
+database.connect()
+
+if sys.argv[1] == "create":
+    create()
+elif sys.argv[1] == "drop":
+    database.meta.drop_all()
+else:
+    usage()
Index: package_tags/invirt-database-server/0.0.10/pg_hba.conf.mako
===================================================================
--- package_tags/invirt-database-server/0.0.10/pg_hba.conf.mako	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/pg_hba.conf.mako	(revision 2081)
@@ -0,0 +1,83 @@
+<% from invirt.config import structs as cfg %>\
+# PostgreSQL Client Authentication Configuration File
+# ===================================================
+#
+# Refer to the PostgreSQL Administrator's Guide, chapter "Client
+# Authentication" for a complete description.  A short synopsis
+# follows.
+#
+# This file controls: which hosts are allowed to connect, how clients
+# are authenticated, which PostgreSQL user names they can use, which
+# databases they can access.  Records take one of these forms:
+#
+# local      DATABASE  USER  METHOD  [OPTION]
+# host       DATABASE  USER  CIDR-ADDRESS  METHOD  [OPTION]
+# hostssl    DATABASE  USER  CIDR-ADDRESS  METHOD  [OPTION]
+# hostnossl  DATABASE  USER  CIDR-ADDRESS  METHOD  [OPTION]
+#
+# (The uppercase items must be replaced by actual values.)
+#
+# The first field is the connection type: "local" is a Unix-domain socket,
+# "host" is either a plain or SSL-encrypted TCP/IP socket, "hostssl" is an
+# SSL-encrypted TCP/IP socket, and "hostnossl" is a plain TCP/IP socket.
+#
+# DATABASE can be "all", "sameuser", "samerole", a database name, or
+# a comma-separated list thereof.
+#
+# USER can be "all", a user name, a group name prefixed with "+", or
+# a comma-separated list thereof.  In both the DATABASE and USER fields
+# you can also write a file name prefixed with "@" to include names from
+# a separate file.
+#
+# CIDR-ADDRESS specifies the set of hosts the record matches.
+# It is made up of an IP address and a CIDR mask that is an integer
+# (between 0 and 32 (IPv4) or 128 (IPv6) inclusive) that specifies
+# the number of significant bits in the mask.  Alternatively, you can write
+# an IP address and netmask in separate columns to specify the set of hosts.
+#
+# METHOD can be "trust", "reject", "md5", "crypt", "password",
+# "krb5", "ident", or "pam".  Note that "password" sends passwords
+# in clear text; "md5" is preferred since it sends encrypted passwords.
+#
+# OPTION is the ident map or the name of the PAM service, depending on METHOD.
+#
+# Database and user names containing spaces, commas, quotes and other special
+# characters must be quoted. Quoting one of the keywords "all", "sameuser" or
+# "samerole" makes the name lose its special character, and just match a
+# database or username with that name.
+#
+# This file is read on server startup and when the postmaster receives
+# a SIGHUP signal.  If you edit the file on a running system, you have
+# to SIGHUP the postmaster for the changes to take effect.  You can use
+# "pg_ctl reload" to do that.
+
+# Put your actual configuration here
+# ----------------------------------
+#
+# If you want to allow non-local connections, you need to add more
+# "host" records. In that case you will also need to make PostgreSQL listen
+# on a non-local interface via the listen_addresses configuration parameter,
+# or via the -i or -h command line switches.
+#
+
+
+
+
+# DO NOT DISABLE!
+# If you change this first entry you will need to make sure that the
+# database
+# super user can access the database using some other method.
+# Noninteractive
+# access to all databases is required during automatic maintenance
+# (autovacuum, daily cronjob, replication, and similar tasks).
+#
+# Database administrative login by UNIX sockets
+local   all         postgres                          ident sameuser
+
+# TYPE  DATABASE    USER        CIDR-ADDRESS          METHOD
+
+# "local" is for Unix domain socket connections only
+local   all         all                               ident sameuser
+% for m in cfg.hosts + [cfg.db, cfg.remote, cfg.console]:
+host	${cfg.db.dbname}	${cfg.db.user}	${m.ip}/32	trust
+% endfor
Index: package_tags/invirt-database-server/0.0.10/postgresql-8.3.invirt
===================================================================
--- package_tags/invirt-database-server/0.0.10/postgresql-8.3.invirt	(revision 2081)
+++ package_tags/invirt-database-server/0.0.10/postgresql-8.3.invirt	(revision 2081)
@@ -0,0 +1,29 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          postgresql postgresql-8.3
+# Required-Start:    $local_fs $remote_fs $network $time
+# Required-Stop:     $local_fs $remote_fs $network $time
+# Should-Start:      $syslog
+# Should-Stop:       $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: PostgreSQL 8.3 RDBMS server
+# Description:       This script proxies requests to the default postgresql-8.3,
+#                    except for restart, which it translates to a stop request,
+#                    and then a start request, so that PostgreSQL is shut down
+#                    with a fast shutdown
+### END INIT INFO
+
+case "$1" in
+  restart)
+        invoke-rc.d postgresql-8.3.invirt-orig stop
+        invoke-rc.d postgresql-8.3.invirt-orig start
+        exit $?
+	;;
+  *)
+        invoke-rc.d postgresql-8.3.invirt-orig "$1"
+        exit $?
+	;;
+esac
+
+: