Index: trunk/packages/invirt-web/code/controls.py
===================================================================
--- trunk/packages/invirt-web/code/controls.py	(revision 2020)
+++ trunk/packages/invirt-web/code/controls.py	(revision 2095)
@@ -65,14 +65,15 @@
     id of the CD (e.g. 'gutsy_i386')
     """
-    if cdtype is not None:
-        out, err = remctl('control', machine.name, 'create', 
-                          cdtype, err=True)
-    else:
-        out, err = remctl('control', machine.name, 'create',
-                          err=True)
-    if 'already running' in err:
-        raise InvalidInput('action', 'create',
-                           'VM %s is already on' % machine.name)
-    elif err:
+    try:
+        if cdtype is not None:
+            out = remctl('control', machine.name, 'create', 
+                              cdtype)
+        else:
+            out = remctl('control', machine.name, 'create')
+    except CodeError, e:
+        if 'already running' in e.message:
+            raise InvalidInput('action', 'create',
+                               'VM %s is already on' % machine.name)
+        else:
         raise CodeError('"%s" on "control %s create %s' 
                         % (err, machine.name, cdtype))
@@ -157,14 +158,11 @@
     Gets and parses xm list --long
     """
-    value_string, err_string = remctl('control', machine.name, 'list-long', 
-                                      err=True)
-    if 'Unknown command' in err_string:
-        raise CodeError("ERROR in remctl list-long %s is not registered" % 
-                        (machine.name,))
-    elif 'is not on' in err_string:
-        return None
-    elif err_string:
-        raise CodeError("ERROR in remctl list-long %s:  %s" % 
-                        (machine.name, err_string))
+    try:
+        value_string = remctl('control', machine.name, 'list-long')
+    except CodeError, e:
+        if 'is not on' in e.message:
+            return None
+        else:
+            raise
     status = parseStatus(value_string)
     return status
@@ -172,6 +170,7 @@
 def listHost(machine):
     """Return the host a machine is running on"""
-    out, err = remctl('control', machine.name, 'listhost', err=True)
-    if err:
+    try:
+        out = remctl('control', machine.name, 'listhost')
+    except CodeError, e:
         return None
     return out.strip()
@@ -179,6 +178,7 @@
 def vnctoken(machine):
     """Return a time-stamped VNC token"""
-    out, err = remctl('control', machine.name, 'vnctoken', err=True)
-    if err:
+    try:
+        out = remctl('control', machine.name, 'vnctoken')
+    except CodeError, e:
         return None
     return out.strip()
@@ -186,5 +186,8 @@
 def deleteVM(machine):
     """Delete a VM."""
-    remctl('control', machine.name, 'destroy', err=True)
+    try:
+        remctl('control', machine.name, 'destroy')
+    except CodeError:
+        pass
     session.begin()
     delete_disk_pairs = [(machine.name, d.guest_device_name) 
@@ -216,18 +219,15 @@
         raise CodeError("Invalid action '%s'" % action)
     if action == 'Reboot':
-        if cdrom is not None:
-            out, err = remctl('control', machine.name, 'reboot', cdrom,
-                              err=True)
-        else:
-            out, err = remctl('control', machine.name, 'reboot',
-                              err=True)
-        if err:
-            if re.match("machine '.*' is not on", err):
+        try:
+            if cdrom is not None:
+                out = remctl('control', machine.name, 'reboot', cdrom)
+            else:
+                out = remctl('control', machine.name, 'reboot')
+        except CodeError, e:
+            if re.match("machine '.*' is not on", e.message):
                 raise InvalidInput("action", "reboot", 
                                    "Machine is not on")
             else:
-                print >> sys.stderr, 'Error on reboot:'
-                print >> sys.stderr, err
-                raise CodeError('ERROR on remctl')
+                raise
                 
     elif action == 'Power on':
@@ -238,23 +238,21 @@
         bootMachine(machine, cdrom)
     elif action == 'Power off':
-        out, err = remctl('control', machine.name, 'destroy', err=True)
-        if err:
-            if re.match("machine '.*' is not on", err):
+        try:
+            out = remctl('control', machine.name, 'destroy')
+        except CodeError, e:
+            if re.match("machine '.*' is not on", e.message):
                 raise InvalidInput("action", "Power off", 
                                    "Machine is not on.")
             else:
-                print >> sys.stderr, 'Error on power off:'
-                print >> sys.stderr, err
-                raise CodeError('ERROR on remctl')
+                raise
     elif action == 'Shutdown':
-        out, err = remctl('control', machine.name, 'shutdown', err=True)
-        if err:
-            if re.match("machine '.*' is not on", err):
+        try:
+            out = remctl('control', machine.name, 'shutdown')
+        except CodeError, e:
+            if re.match("machine '.*' is not on", e.message):
                 raise InvalidInput("action", "Shutdown", 
                                    "Machine is not on.")
             else:
-                print >> sys.stderr, 'Error on Shutdown:'
-                print >> sys.stderr, err
-                raise CodeError('ERROR on remctl')
+                raise
     elif action == 'Delete VM':
         deleteVM(machine)