Index: package_tags/invirt-svn-server/0.0.2/debian/changelog
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/changelog	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/changelog	(revision 2111)
@@ -0,0 +1,16 @@
+invirt-svn-server (0.0.2) unstable; urgency=low
+
+  * Change to Architecture: all.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 12 Feb 2009 23:53:11 -0500
+
+invirt-svn-server (0.0.1) unstable; urgency=low
+
+  [ Quentin Smith ]
+  * Initial Release.
+  * Don't use a files/ tree for a single file
+
+  [ Evan Broder ]
+  * Make sure OpenAFS modules are installed
+
+ -- Evan Broder <broder@mit.edu>  Mon, 03 Nov 2008 03:41:43 -0500
Index: package_tags/invirt-svn-server/0.0.2/debian/compat
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/compat	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/compat	(revision 2111)
@@ -0,0 +1,1 @@
+5
Index: package_tags/invirt-svn-server/0.0.2/debian/control
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/control	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/control	(revision 2111)
@@ -0,0 +1,14 @@
+Source: invirt-svn-server
+Section: base
+Priority: extra
+Maintainer: Invirt project <invirt@mit.edu>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: invirt-svn-server
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, subversion,
+ libsasl2-gssapi-mit, kstart, invirt-base, openafs-modules-xen
+Description: Configures a Subversion server for Invirt
+ Configures a Subversion server for Invirt, committing to a SVN
+ repository in AFS and authenticating with GSSAPI.
Index: package_tags/invirt-svn-server/0.0.2/debian/copyright
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/copyright	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/copyright	(revision 2111)
@@ -0,0 +1,16 @@
+This software was written as part of the Invirt project <invirt@mit.edu>.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.init
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.init	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.init	(revision 2111)
@@ -0,0 +1,61 @@
+#!/usr/bin/pagsh -e
+### BEGIN INIT INFO
+# Provides:          invirt-svn-server
+# Required-Start:    $local_fs $remote_fs $network $syslog openafs-client
+# Required-Stop:     $local_fs $remote_fs $network $syslog openafs-client
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start/stop subversion server
+### END INIT INFO
+#
+# Apache kstart wrapper by anders.
+#
+
+SCRIPT=/etc/init.d/apache2.invirt-orig
+KSTART_PIDFILE=/var/run/k5start-invirt-svn.pid
+KSTART_KEYTAB=/etc/invirt/keytab
+
+export AFSCELL=sipb.mit.edu
+
+kstart_start () {
+    TMP_PIDFILE=$(mktemp /tmp/k5start-invirt-svn-server.pid-XXXXXX)
+    chown invirt-svn "$TMP_PIDFILE"
+    export KRB5CCNAME=$(mktemp /tmp/krb5cc_33.kstart-XXXXXX)
+    chown invirt-svn $KRB5CCNAME
+    export KRB5_KTNAME=/etc/invirt/svn.keytab
+    /sbin/start-stop-daemon --start --pidfile "$TMP_PIDFILE" -c invirt-svn \
+	--exec /usr/bin/k5start -- -b -p "$TMP_PIDFILE" \
+	-U -f "$KSTART_KEYTAB" -K10 -S afs -I "$AFSCELL" -t -b \
+	sudo -u invirt-svn svnserve -d --foreground -r "$(invirt-getconf svn.repopath)"
+    cat "$TMP_PIDFILE" >|"$KSTART_PIDFILE"
+    rm -f "$TMP_PIDFILE"
+}
+kstart_stop () {
+    if [ -e $KSTART_PIDFILE ]; then
+	/sbin/start-stop-daemon --stop --pidfile $KSTART_PIDFILE
+	rm -f $KSTART_PIDFILE
+    else
+	echo -n " ... no kstart pidfile"
+    fi
+}
+
+case "$1" in
+  start)
+    echo -n "Starting kstart for Subversion: k5start"
+    kstart_start
+    echo "."
+    ;;
+  stop)
+    echo -n "Stopping kstart for Subversion: k5start"
+    kstart_stop
+    echo "."
+    ;;
+  restart|force-reload)
+    "$0" stop
+    sleep 1
+    "$0" start
+    ;;
+  *)
+    exec "$SCRIPT" "$@"
+    ;;
+esac
Index: package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.install
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.install	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.install	(revision 2111)
@@ -0,0 +1,1 @@
+svn.conf etc/sasl2
Index: package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.postinst
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.postinst	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/invirt-svn-server.postinst	(revision 2111)
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+        if [ -z "$2" ]; then
+            adduser --system invirt-svn
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
Index: package_tags/invirt-svn-server/0.0.2/debian/rules
===================================================================
--- package_tags/invirt-svn-server/0.0.2/debian/rules	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/debian/rules	(revision 2111)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
Index: package_tags/invirt-svn-server/0.0.2/svn.conf
===================================================================
--- package_tags/invirt-svn-server/0.0.2/svn.conf	(revision 2111)
+++ package_tags/invirt-svn-server/0.0.2/svn.conf	(revision 2111)
@@ -0,0 +1,1 @@
+mech_list: gssapi