Index: trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/93-setup-grub
===================================================================
--- trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/93-setup-grub	(revision 2171)
+++ trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/93-setup-grub	(revision 2171)
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+#  This script sets up the ParaVM to use pygrub
+#
+
+prefix=$1
+
+#
+#  Source our common functions
+#
+if [ -e /usr/lib/xen-tools/common.sh ]; then
+    . /usr/lib/xen-tools/common.sh
+else
+    . ./hooks/common.sh
+fi
+
+echo SCRIPT = $0
+dir=`dirname "$0"`
+
+
+logMessage Script $0 starting
+
+#
+# Install the xen kernel.  linux-image-xen is in ubuntu,
+# linux-image-xen-{amd64,686} in debian.
+#
+installDebianPackage ${prefix} linux-image-xen-amd64
+installDebianPackage ${prefix} linux-image-xen-686
+installDebianPackage ${prefix} linux-image-xen
+
+installDebianPackage ${prefix} grub
+
+#
+# Make the /boot/grub directory
+#
+mkdir -p ${prefix}/boot/grub
+
+#
+# Create stock menu.lst
+#
+chroot ${prefix} /usr/sbin/update-grub -y
+
+#
+# Patches to add xen kernels, use serial console, etc.
+#
+for patch in $dir/patches/*; do
+    patch -l -d ${prefix} -p1 < $patch
+done
+
+#
+# Regenerate automagic kernels list
+#
+chroot ${prefix} /usr/sbin/update-grub -y
+
+#
+# Log our finish
+#
+logMessage Script $0 finished
+
Index: trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/95-fix-eth-checksums
===================================================================
--- trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/95-fix-eth-checksums	(revision 2171)
+++ trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/95-fix-eth-checksums	(revision 2171)
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+#  This script disables checksumming within the domU
+#
+
+prefix=$1
+
+#
+#  Source the common functions
+#
+if [ -e /usr/lib/xen-tools/common.sh ]; then
+    . /usr/lib/xen-tools/common.sh
+else
+    . ./hooks/common.sh
+fi
+
+logMessage Script $0 starting
+
+# To avoid UDP checksum problems.
+installDebianPackage ${prefix} ethtool
+
+if ! sed -i -e 's/^\(\s*\)#\s*post-up\s\+ethtool/\1post-up ethtool -K eth0 tso off\n\0/' ${prefix}/etc/network/interfaces; then
+    echo "ERROR: unable to disable network segmentation offloading"
+    exit 1
+fi
+
+#
+# Log our finish
+#
+logMessage Script $0 finished
Index: trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/95-install-base-system
===================================================================
--- trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/95-install-base-system	(revision 2171)
+++ trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/95-install-base-system	(revision 2171)
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+#  This script installs the sort of things you expect on an Ubuntu
+#  system
+#
+
+prefix=$1
+
+#
+#  Source the common functions
+#
+if [ -e /usr/lib/xen-tools/common.sh ]; then
+    . /usr/lib/xen-tools/common.sh
+else
+    . ./hooks/common.sh
+fi
+
+logMessage Script $0 starting
+
+installDebianPackage ${prefix} ubuntu-minimal
+installDebianPackage ${prefix} ubuntu-standard
+
+
+# For Debian, there is no metapackage, but we can pull in the
+# equivalent based on package priority.
+#
+# (On Ubuntu Hardy, this will additionally pull in libdns32, libisc32,
+# and nfs-common, which seems fairly benign.)
+
+installDebianPackage ${prefix} aptitude
+
+logMessage "Installing Debian standard system to prefix ${prefix}"
+echo -e '#!/bin/bash\nexit 101\n' > ${prefix}/usr/sbin/policy-rc.d
+chmod +x ${prefix}/usr/sbin/policy-rc.d
+chroot ${prefix} aptitude -y install '~prequired|~pimportant|~pstandard'
+rm -f {$prefix}/usr/sbin/policy-rc.d
+
+
+#
+# Log our finish
+#
+logMessage Script $0 finished
Index: trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/97-setup-grub
===================================================================
--- trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/97-setup-grub	(revision 2169)
+++ 	(revision )
@@ -1,59 +1,0 @@
-#!/bin/sh
-#
-#  This script sets up the ParaVM to use pygrub
-#
-
-prefix=$1
-
-#
-#  Source our common functions
-#
-if [ -e /usr/lib/xen-tools/common.sh ]; then
-    . /usr/lib/xen-tools/common.sh
-else
-    . ./hooks/common.sh
-fi
-
-echo SCRIPT = $0
-dir=`dirname "$0"`
-
-
-logMessage Script $0 starting
-
-#
-# Install the xen kernel.  linux-image-xen is in ubuntu,
-# linux-image-xen-{amd64,686} in debian.
-#
-installDebianPackage ${prefix} linux-image-xen-amd64
-installDebianPackage ${prefix} linux-image-xen-686
-installDebianPackage ${prefix} linux-image-xen
-
-installDebianPackage ${prefix} grub
-
-#
-# Make the /boot/grub directory
-#
-mkdir -p ${prefix}/boot/grub
-
-#
-# Create stock menu.lst
-#
-chroot ${prefix} /usr/sbin/update-grub -y
-
-#
-# Patches to add xen kernels, use serial console, etc.
-#
-for patch in $dir/patches/*; do
-    patch -l -d ${prefix} -p1 < $patch
-done
-
-#
-# Regenerate automagic kernels list
-#
-chroot ${prefix} /usr/sbin/update-grub -y
-
-#
-# Log our finish
-#
-logMessage Script $0 finished
-
Index: trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/98-fix-eth-checksums
===================================================================
--- trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/98-fix-eth-checksums	(revision 2169)
+++ 	(revision )
@@ -1,30 +1,0 @@
-#!/bin/sh
-#
-#  This script disables checksumming within the domU
-#
-
-prefix=$1
-
-#
-#  Source the common functions
-#
-if [ -e /usr/lib/xen-tools/common.sh ]; then
-    . /usr/lib/xen-tools/common.sh
-else
-    . ./hooks/common.sh
-fi
-
-logMessage Script $0 starting
-
-# To avoid UDP checksum problems.
-installDebianPackage ${prefix} ethtool
-
-if ! sed -i -e 's/^\(\s*\)#\s*post-up\s\+ethtool/\1post-up ethtool -K eth0 tso off\n\0/' ${prefix}/etc/network/interfaces; then
-    echo "ERROR: unable to disable network segmentation offloading"
-    exit 1
-fi
-
-#
-# Log our finish
-#
-logMessage Script $0 finished
Index: trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/98-install-base-system
===================================================================
--- trunk/packages/invirt-autoinstaller/common/usr/lib/xen-tools/debian.d/98-install-base-system	(revision 2169)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#!/bin/sh
-#
-#  This script installs the sort of things you expect on an Ubuntu
-#  system
-#
-
-prefix=$1
-
-#
-#  Source the common functions
-#
-if [ -e /usr/lib/xen-tools/common.sh ]; then
-    . /usr/lib/xen-tools/common.sh
-else
-    . ./hooks/common.sh
-fi
-
-logMessage Script $0 starting
-
-installDebianPackage ${prefix} ubuntu-minimal
-installDebianPackage ${prefix} ubuntu-standard
-
-
-# For Debian, there is no metapackage, but we can pull in the
-# equivalent based on package priority.
-#
-# (On Ubuntu Hardy, this will additionally pull in libdns32, libisc32,
-# and nfs-common, which seems fairly benign.)
-
-installDebianPackage ${prefix} aptitude
-
-logMessage "Installing Debian standard system to prefix ${prefix}"
-echo -e '#!/bin/bash\nexit 101\n' > ${prefix}/usr/sbin/policy-rc.d
-chmod +x ${prefix}/usr/sbin/policy-rc.d
-chroot ${prefix} aptitude -y install '~prequired|~pimportant|~pstandard'
-rm -f {$prefix}/usr/sbin/policy-rc.d
-
-
-#
-# Log our finish
-#
-logMessage Script $0 finished