Index: package_tags/xvm-prodconfig/1.1.14/debian/changelog
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/changelog	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/changelog	(revision 2373)
@@ -0,0 +1,326 @@
+xvm-prodconfig (1.1.14) unstable; urgency=low
+
+  * Add a CNAME to the zone file to make Vista registration work.
+
+ -- Evan Broder <broder@mit.edu>  Sun, 21 Jun 2009 21:11:10 -0700
+
+xvm-prodconfig (1.1.13) unstable; urgency=low
+
+  * Add a mail.contact entry for who to forward mail to.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 28 Mar 2009 19:52:11 -0400
+
+xvm-prodconfig (1.1.12) unstable; urgency=low
+
+  * Make adminacl a global setting.
+  * Use a common value for the various contact fields.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 15:45:46 -0500
+
+xvm-prodconfig (1.1.11) unstable; urgency=low
+
+  * Add 2.181.18.in-addr.arpa to the list of domains we are authoritative for
+
+ -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 03:34:39 -0500
+
+xvm-prodconfig (1.1.10) unstable; urgency=low
+
+  * Specify whether to authenticate PRDB lookups for each AFS cell.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 14 Feb 2009 22:08:22 -0500
+
+xvm-prodconfig (1.1.9) unstable; urgency=low
+
+  * Ship the sysvm Xen config files themselves, rather than Mako templates.
+
+ -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 01:20:16 -0500
+
+xvm-prodconfig (1.1.8) unstable; urgency=low
+
+  * Move sysvms/* into xvm-prodconfig from invirt-xen-config
+  * xen.network.iface = eth2
+
+ -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 04:45:41 -0500
+
+xvm-prodconfig (1.1.7) unstable; urgency=low
+
+  * Activate the invirt-reload trigger instead of running invirt-reload
+    directly
+
+ -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:09:32 -0500
+
+xvm-prodconfig (1.1.6) unstable; urgency=low
+
+  * Add textbooks.xvm.mit.edu CNAME for testing for APO.
+
+ -- Evan Broder <broder@mit.edu>  Sun, 25 Jan 2009 20:07:41 -0500
+
+xvm-prodconfig (1.1.5) unstable; urgency=low
+
+  * add sipb.mit.edu as another authz entry
+
+ -- Greg Price <price@mit.edu>  Tue, 30 Dec 2008 17:44:41 -0500
+
+xvm-prodconfig (1.1.4) unstable; urgency=low
+
+  * config.kerberos shouldn't be a list
+
+ -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:52:15 -0500
+
+xvm-prodconfig (1.1.3) unstable; urgency=low
+
+  * Alphabetize the sections of master.yaml so they make a little more
+    sense
+  * Move authn section to kerberos
+
+ -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 21:49:16 -0500
+
+xvm-prodconfig (1.1.2) unstable; urgency=low
+
+  * Reserve "help" because `remctl remote control help` wouldn't work
+
+ -- Evan Broder <broder@mit.edu>  Tue, 09 Dec 2008 19:46:19 -0500
+
+xvm-prodconfig (1.1.1) unstable; urgency=low
+
+  * Move the .k5login for the production cluster into this package
+  * Don't use explicit paths in the postinst
+  * Cleanup some lintian warnings about the control file
+  * Override the lintian complaint about installing files into /root
+
+ -- Evan Broder <broder@mit.edu>  Sat, 06 Dec 2008 14:57:24 -0500
+
+xvm-prodconfig (1.1.0) unstable; urgency=low
+
+  * Add a specification for a monitoring host (in our case, syn)
+
+ -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:51:35 -0500
+
+xvm-prodconfig (1.0.4) unstable; urgency=low
+
+  * Remove the stray dot from the config
+
+ -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:35:03 -0500
+
+xvm-prodconfig (1.0.3) unstable; urgency=low
+
+  * The trac URI doesn't want a trailing slash
+
+ -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:28:58 -0500
+
+xvm-prodconfig (1.0.2) unstable; urgency=low
+
+  * Move trac over to scripts
+
+ -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:13:33 -0500
+
+xvm-prodconfig (1.0.1) unstable; urgency=low
+
+  * Forgot to change the webacl
+
+ -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 11:12:09 -0500
+
+xvm-prodconfig (1.0.0) unstable; urgency=low
+
+  * Prod launch!
+
+ -- Evan Broder <broder@mit.edu>  Fri, 14 Nov 2008 14:34:50 -0500
+
+xvm-prodconfig (0.21) unstable; urgency=low
+
+  * Add the two remaining hosts - we can comment them out on
+    xvm-remote-dev until they're activated
+
+ -- Evan Broder <broder@mit.edu>  Tue, 04 Nov 2008 04:10:22 -0500
+
+xvm-prodconfig (0.20) unstable; urgency=low
+
+  * Take advantage of multi-word zonefile entries by adding explanations
+    for our reservations
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 04:06:52 -0400
+
+xvm-prodconfig (0.19.2) unstable; urgency=low
+
+  * Zone files use semicolons for comments, not hashes
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:16:08 -0400
+
+xvm-prodconfig (0.19.1) unstable; urgency=low
+
+  * Forgot to actually install the zone file
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 02:10:16 -0400
+
+xvm-prodconfig (0.19) unstable; urgency=low
+
+  * Rearrange package to not have useless files/ tree
+  * Add a default zone file with overrides of names we don't want people
+    taking
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 01:48:45 -0400
+
+xvm-prodconfig (0.18) unstable; urgency=low
+
+  * Punt sysvm configs - they're in invirt-xen-config now
+
+ -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 07:45:11 -0400
+
+xvm-prodconfig (0.17.5) unstable; urgency=low
+
+  * sipb-xen-base -> invirt-base
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:44 -0400
+
+xvm-prodconfig (0.17.4) unstable; urgency=low
+
+  * xvm-2 -> xvm-dev
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:26:14 -0400
+
+xvm-prodconfig (0.17.3) unstable; urgency=low
+
+  * New database name/auth info thanks to sipb-xen-database-server
+    changing to invirt-database-server
+
+ -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:05:41 -0400
+
+xvm-prodconfig (0.17.2) unstable; urgency=low
+
+  * name the web admin ACL more descriptively as system:xvm-webacl
+
+ -- Greg Price <price@mit.edu>  Tue, 21 Oct 2008 23:33:42 -0400
+
+xvm-prodconfig (0.17.1) unstable; urgency=low
+
+  * Oh yeah - their IP addresses changed to
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:46:36 -0400
+
+xvm-prodconfig (0.17) unstable; urgency=low
+
+  * Move the console and remote servers to more sensible names
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 14:41:01 -0400
+
+xvm-prodconfig (0.16) unstable; urgency=low
+
+  * Use system:xvm-maintainers as the admin ACL - it's xvm-root's null
+    instances
+
+ -- Evan Broder <broder@mit.edu>  Sun, 19 Oct 2008 12:17:40 -0400
+
+xvm-prodconfig (0.15) unstable; urgency=low
+
+  * Asterisk is a special character in YAML - quote it
+
+ -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 22:32:24 -0400
+
+xvm-prodconfig (0.14) unstable; urgency=low
+
+  * Update DNS to expect queries from prod.xvm.mit.edu
+
+ -- Evan Broder <broder@mit.edu>  Mon, 13 Oct 2008 22:13:05 -0400
+
+xvm-prodconfig (0.13) unstable; urgency=low
+
+  * use wildcard in web.errormail_exclude
+
+ -- Greg Price <price@mit.edu>  Sat, 11 Oct 2008 17:34:06 -0700
+
+xvm-prodconfig (0.12) unstable; urgency=low
+
+  * Move the console server to archiver.mit.edu
+
+ -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 01:51:28 -0400
+
+xvm-prodconfig (0.11.1) unstable; urgency=low
+
+  * Hmm...100003 apparently isn't a real port
+
+ -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:37:49 -0400
+
+xvm-prodconfig (0.11) unstable; urgency=low
+
+  * Add a vnc section
+
+ -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:16:29 -0400
+
+xvm-prodconfig (0.10) unstable; urgency=low
+
+  * Add dhcp section
+
+ -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 19:53:00 -0400
+
+xvm-prodconfig (0.9.2) unstable; urgency=low
+
+  * Add the svn.uri for svn checkout packages
+
+ -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:05:35 -0400
+
+xvm-prodconfig (0.9.1) unstable; urgency=low
+
+  * Update dns section to be less of a lie
+
+ -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 18:55:26 -0400
+
+xvm-prodconfig (0.9) unstable; urgency=low
+
+  * Add dns section, even though it's something of a lie
+
+ -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 08:07:05 -0400
+
+xvm-prodconfig (0.8) unstable; urgency=low
+
+  * add console section
+
+ -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:53:30 -0400
+
+xvm-prodconfig (0.7) unstable; urgency=low
+
+  * Replace citadel-station with shadow-moses and arklay-mansion as hosts
+    while we get those two up
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:30:23 -0400
+
+xvm-prodconfig (0.6) unstable; urgency=low
+
+  * Add remote section
+
+ -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 12:04:18 -0400
+
+xvm-prodconfig (0.5) unstable; urgency=low
+
+  * fix distribution
+
+ -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:46:46 -0400
+
+xvm-prodconfig (0.4) hardy; urgency=low
+
+  * add web, svn, trac sections
+
+ -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:03 +0000
+
+xvm-prodconfig (0.3ubuntu1) hardy; urgency=low
+
+  * Add some system-vm xen configs.
+
+ -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 01:56:00 +0000
+
+xvm-prodconfig (0.3) unstable; urgency=low
+
+  * Include a copy of the apt key; currently not automatically installed.
+
+ --  Sam Hartman <hartmans@xvm.mit.edu>  Sun, 24 Aug 2008 20:51:34 +0000
+
+xvm-prodconfig (0.2) unstable; urgency=low
+
+  * Fix script names
+
+ -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:47:43 -0400
+
+xvm-prodconfig (0.1) unstable; urgency=low
+
+  * Initial prodconfig release
+
+ -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:40:35 -0400
Index: package_tags/xvm-prodconfig/1.1.14/debian/compat
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/compat	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/compat	(revision 2373)
@@ -0,0 +1,1 @@
+5
Index: package_tags/xvm-prodconfig/1.1.14/debian/control
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/control	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/control	(revision 2373)
@@ -0,0 +1,14 @@
+Source: xvm-prodconfig
+Section: servers
+Priority: important
+Maintainer: SIPB XVM Project <xvm@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: xvm-prodconfig
+Architecture: all
+Provides: invirt-config
+Conflicts: invirt-config
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-base (>= 0.0.19)
+Description: XVM dev-cluster config
+ This is the master configuration package for the XVM development cluster.
Index: package_tags/xvm-prodconfig/1.1.14/debian/copyright
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/copyright	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/copyright	(revision 2373)
@@ -0,0 +1,17 @@
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/xvm-prodconfig/1.1.14/debian/rules
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/rules	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/rules	(revision 2373)
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+binary-install/xvm-prodconfig::
+	# Versions of CDBS newer than ours do this for us
+	dh_lintian -pxvm-prodconfig
+	install -m 0644 -D k5login $(DEB_DESTDIR)/root/.k5login
Index: package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.install
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.install	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.install	(revision 2373)
@@ -0,0 +1,3 @@
+master.yaml etc/invirt
+zone etc/invirt
+sysvms etc/xen
Index: package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.lintian-overrides
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.lintian-overrides	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.lintian-overrides	(revision 2373)
@@ -0,0 +1,1 @@
+xvm-prodconfig binary: file-in-unusual-dir root/.k5login
Index: package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.triggers
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.triggers	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/debian/xvm-prodconfig.triggers	(revision 2373)
@@ -0,0 +1,1 @@
+activate invirt-reload
Index: package_tags/xvm-prodconfig/1.1.14/k5login
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/k5login	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/k5login	(revision 2373)
@@ -0,0 +1,6 @@
+andersk/root@ATHENA.MIT.EDU
+broder/root@ATHENA.MIT.EDU
+ecprice/root@ATHENA.MIT.EDU
+hartmans/root@ATHENA.MIT.EDU
+price/root@ATHENA.MIT.EDU
+quentin/root@ATHENA.MIT.EDU
Index: package_tags/xvm-prodconfig/1.1.14/master.yaml
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/master.yaml	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/master.yaml	(revision 2373)
@@ -0,0 +1,97 @@
+contact: &contact xvm@mit.edu
+adminacl: system:xvm-root
+priv_contact: &priv_contact xvm-root@mit.edu
+
+apt:
+ keyid: 35AE3C4F
+
+authz:
+ - type: afs
+   cell: athena.mit.edu
+   auth: yes
+ - type: afs
+   cell: sipb.mit.edu
+   auth: yes
+
+console:
+ hostname: xvm-console.mit.edu
+ ip: 18.181.0.134
+
+db:
+ uri: postgres://invirt@xvm.mit.edu/invirt
+ host: xvm.mit.edu
+ ip: 18.181.0.62
+ port: 5432
+ user: invirt
+ dbname: invirt
+
+dhcp:
+ gateway: 18.181.0.1
+ netmask: 255.255.0.0
+ dns:
+  - 18.70.0.160
+  - 18.71.0.151
+  - 18.72.0.3
+ search_domain: mit.edu
+
+dns:
+ contact: *contact
+ domains: # first one is advertised
+  - xvm.mit.edu
+  - 2.181.18.in-addr.arpa
+ nameservers:
+  - hostname: xvm.mit.edu
+    ip: 18.181.0.62
+ zone_files:
+  - /etc/invirt/zone
+
+hosts: # hosts on which VMs run
+ - hostname: citadel-station.mit.edu
+   ip: 18.181.0.221
+ - hostname: aperture-science.mit.edu
+   ip: 18.181.0.222
+ - hostname: shadow-moses.mit.edu
+   ip: 18.181.0.223
+ - hostname: arklay-mansion.mit.edu
+   ip: 18.181.0.224
+
+kerberos:
+ realm: ATHENA.MIT.EDU
+
+mail:
+ forward: *priv_contact
+
+monitoring:
+ - hostname: syn.mit.edu
+   ip: 18.181.0.65
+
+remote:
+ hostname: xvm-remote.mit.edu
+ ip: 18.181.0.188
+
+svn:
+ repopath: /afs/sipb.mit.edu/project/xvm/svn
+ uri: https://xvm.mit.edu:1111
+
+trac:
+ uri: https://xvm.scripts.mit.edu
+
+vnc:
+ base_port: 10003
+ proxy_ip: 18.181.0.62
+
+web:
+ baseuri: https://xvm.mit.edu/
+ hostname: xvm.mit.edu
+ errormail: *contact
+ errormail_exclude:
+  - broder
+  - price
+  - ecprice
+  - andersk
+  - quentin
+  - hartmans
+
+xen:
+ network:
+  iface: eth2
Index: package_tags/xvm-prodconfig/1.1.14/sysvms/s_console
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/sysvms/s_console	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/sysvms/s_console	(revision 2373)
@@ -0,0 +1,21 @@
+
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '256'
+
+disk        = ['phy:xenvg/s_console_hda,hda,w']
+
+name        = 's_console'
+
+vif         = [ 'ip=18.181.0.134,mac=00:16:3E:7E:E4:DE' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = '/dev/hda1 ro'
+extra = '2 console=xvc0'
+
Index: package_tags/xvm-prodconfig/1.1.14/sysvms/s_master
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/sysvms/s_master	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/sysvms/s_master	(revision 2373)
@@ -0,0 +1,22 @@
+
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '1024'
+
+disk        = ['phy:xenvg/s_master_hda,hda,w',
+               'phy:xenvg/s_master_hdb,hdb,w']
+
+name        = 's_master'
+
+vif         = [ 'ip=18.181.0.62,mac=00:16:3E:5F:C1:D4' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root 	    = '/dev/hda1 ro'
+extra = '2 console=xvc0'
+
Index: package_tags/xvm-prodconfig/1.1.14/sysvms/s_remote
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/sysvms/s_remote	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/sysvms/s_remote	(revision 2373)
@@ -0,0 +1,21 @@
+
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '512'
+
+disk        = ['phy:xenvg/s_remote_hda,hda,w']
+
+name        = 's_remote'
+
+vif         = [ 'ip=18.181.0.188,mac=00:16:3E:7F:C2:55' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = "/dev/hda1 ro"
+extra = '2 console=xvc0'
+
Index: package_tags/xvm-prodconfig/1.1.14/zone
===================================================================
--- package_tags/xvm-prodconfig/1.1.14/zone	(revision 2373)
+++ package_tags/xvm-prodconfig/1.1.14/zone	(revision 2373)
@@ -0,0 +1,41 @@
+@       900     IN      SOA     xvm.mit.edu. xvm.mit.edu. (
+        3
+        1d
+        1d
+        1d
+        1d
+        )
+
+; Our services
+ns1             IN      A       18.181.0.62
+remote          IN      TXT     "reserved to prevent confusion with an XVM server"
+console         IN      TXT     "reserved to prevent confusion with an XVM server"
+prod            IN      TXT     "reserved for the XVM production cluster"
+dev             IN      NS      xvm-dev.mit.edu.
+help            IN      TXT     "reserved for help with the remctl command"
+
+localhost       IN      TXT     "reserved to prevent confusion with your own computer"
+localdomain     IN      TXT     "reserved to prevent confusion with your own computer"
+broadcasthost   IN      TXT     "reserved to prevent confusion with your own computer"
+
+; Make Vista activation work
+_vlmcs._tcp     IN      CNAME   _vlmcs._tcp.mit.edu.
+
+; Athena services we don't want to conflict with
+athena          IN      TXT     "reserved to prevent confusion with common Athena services"
+dialup          IN      TXT     "reserved to prevent confusion with common Athena services"
+outgoing        IN      TXT     "reserved to prevent confusion with common Athena services"
+po9             IN      TXT     "reserved to prevent confusion with common Athena services"
+po10            IN      TXT     "reserved to prevent confusion with common Athena services"
+po11            IN      TXT     "reserved to prevent confusion with common Athena services"
+po12            IN      TXT     "reserved to prevent confusion with common Athena services"
+po13            IN      TXT     "reserved to prevent confusion with common Athena services"
+po14            IN      TXT     "reserved to prevent confusion with common Athena services"
+po15            IN      TXT     "reserved to prevent confusion with common Athena services"
+sipb            IN      TXT     "reserved to prevent confusion with common Athena services"
+wpad            IN      TXT     "reserved to prevent confusion with common Athena services"
+web             IN      TXT     "reserved to prevent confusion with common Athena services"
+www             IN      TXT     "reserved to prevent confusion with common Athena services"
+
+; Requested by mitchb for testing - Jan 25, 2009
+textbooks       IN      CNAME   apo.xvm.mit.edu