Index: package_tags/xvm-devconfig/0.41/debian/changelog
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/changelog	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/changelog	(revision 2507)
@@ -0,0 +1,259 @@
+xvm-devconfig (0.41) unstable; urgency=low
+
+  * Add jiawen to xvm-dev as reflected in k5login.
+
+ -- Greg Price <price@mit.edu>  Mon, 19 Oct 2009 20:13:12 -0400
+
+xvm-devconfig (0.40) unstable; urgency=low
+
+  * Add oremanj to xvm-dev as reflected in k5login.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Sep 2009 19:49:41 -0400
+
+xvm-devconfig (0.39) unstable; urgency=low
+
+  * Add ppasupat, burrows, jontec, gyz to xvm-dev as reflected in k5login,
+    for hackathon.
+
+ -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 14:57:24 -0400
+
+xvm-devconfig (0.38) unstable; urgency=low
+
+  * Add pweaver to xvm-dev as reflected in k5login.
+
+ -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 00:02:39 -0400
+
+xvm-devconfig (0.37) unstable; urgency=low
+
+  * Forward automail to xvm-dev-auto rather than xvm@.
+
+ -- Greg Price <price@mit.edu>  Thu, 10 Sep 2009 22:23:27 -0400
+
+xvm-devconfig (0.36) unstable; urgency=low
+
+  * Send root's mail to xvm-dev@mit.edu, instead of xvm@mit.edu, since
+    xvm-dev is the list with bits on the dev cluster.
+
+ -- Evan Broder <broder@mit.edu>  Tue, 08 Sep 2009 11:48:15 -0400
+
+xvm-devconfig (0.35) unstable; urgency=low
+
+  * Add adehnert to xvm-dev as reflected in k5login.
+
+ -- Greg Price <price@mit.edu>  Mon, 07 Sep 2009 23:02:58 -0400
+
+xvm-devconfig (0.34) unstable; urgency=low
+
+  * Sync the k5login with xvm-dev (add mitchb).
+
+ -- Evan Broder <broder@mit.edu>  Fri, 28 Aug 2009 21:57:05 -0400
+
+xvm-devconfig (0.33) unstable; urgency=low
+
+  * Add a mail.contact entry for who to forward mail to.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 28 Mar 2009 19:51:11 -0400
+
+xvm-devconfig (0.32) unstable; urgency=low
+
+  * No really. I don't want mail from dev. Ever.
+
+ -- Evan Broder <broder@mit.edu>  Tue, 10 Mar 2009 03:52:53 -0400
+
+xvm-devconfig (0.31) unstable; urgency=low
+
+  * Use the slightly more restrictive xvm-dev for the adminacl instead of
+    xvm.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:14:07 -0500
+
+xvm-devconfig (0.30) unstable; urgency=low
+
+  * Make adminacl a global setting.
+  * Use a common value for the various contact fields.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 15:45:34 -0500
+
+xvm-devconfig (0.29) unstable; urgency=low
+
+  * Act authoritative for {1,2}.181.18.in-addr.arpa
+
+ -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 02:20:58 -0500
+
+xvm-devconfig (0.28) unstable; urgency=low
+
+  * Add quentin to errormail_exclude
+
+ -- Quentin Smith <quentin@mit.edu>  Mon, 16 Feb 2009 16:30:32 -0500
+
+xvm-devconfig (0.27) unstable; urgency=low
+
+  * Specify whether to authenticate PRDB lookups for each AFS cell.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 14 Feb 2009 22:08:46 -0500
+
+xvm-devconfig (0.26) unstable; urgency=low
+
+  * Add iannucci to the dev acl.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 12 Feb 2009 21:43:11 -0500
+
+xvm-devconfig (0.25) unstable; urgency=low
+
+  * Add the sysvm configs.
+
+ -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 00:24:20 -0500
+
+xvm-devconfig (0.24) unstable; urgency=low
+
+  * Add the dhcp block.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 23:37:27 -0500
+
+xvm-devconfig (0.23) unstable; urgency=low
+
+  * Typo fix. /Actually/ install the k5login.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:43:40 -0500
+
+xvm-devconfig (0.22) unstable; urgency=low
+
+  * Two hosts! Add torchwood-institute to the list of hosts.
+  * Add ezyang to the dev acl.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:17:13 -0500
+
+xvm-devconfig (0.21) unstable; urgency=low
+
+  * Include a trac stanza to make invirt-web happy.
+  * xen.network.iface = eth0
+  * Add a vnc stanza.
+  * Add nathan_ to dev acl.
+
+ -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 15:31:03 -0500
+
+xvm-devconfig (0.20) unstable; urgency=low
+
+  * Install the dev cluster .k5login.
+  * Fix the maintainer field.
+
+ -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 03:14:06 -0500
+
+xvm-devconfig (0.19) unstable; urgency=low
+
+  * Punt unnecessarily deep files/ directory structure.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 30 Jan 2009 20:01:03 -0500
+
+xvm-devconfig (0.18) unstable; urgency=low
+
+  * First draft of config for new dev cluster.
+
+ -- Greg Price <price@mit.edu>  Fri, 30 Jan 2009 07:03:47 -0500
+
+xvm-devconfig (0.17) unstable; urgency=low
+
+  * Activate the invirt-reload trigger instead of running invirt-reload
+    directly.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:10:45 -0500
+
+xvm-devconfig (0.16) unstable; urgency=low
+
+  * Prod launched! Move the development cluster to the dev names
+
+ -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 09:43:03 -0500
+
+xvm-devconfig (0.15) unstable; urgency=low
+
+  * Use xvm.mit.edu instead of sipb-xen-dev.mit.edu as the database
+    hostname
+
+ -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 05:57:46 -0400
+
+xvm-devconfig (0.14) unstable; urgency=low
+
+  * sipb-xen-base -> invirt-base
+
+ -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:42 -0400
+
+xvm-devconfig (0.13) unstable; urgency=low
+
+  * sipb-xen-console -> xvm-console
+  * remote -> xvm-remote (at least canonically)
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:25:13 -0400
+
+xvm-devconfig (0.12) unstable; urgency=low
+
+  * Kill DEB_AUTO_UPDATE_DEBIAN_CONTROL
+
+ -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:47:40 -0400
+
+xvm-devconfig (0.11) unstable; urgency=low
+
+  * Change sx-blade-2 to torchwood-institute
+
+ -- Evan Broder <broder@mit.edu>  Tue, 30 Sep 2008 20:52:49 -0400
+
+xvm-devconfig (0.10) unstable; urgency=low
+
+  * Added dev.xvm.mit.edu domain for sipb-xen-dns.
+
+ -- Yang Zhang <y_z@mit.edu>  Mon, 25 Aug 2008 01:04:29 -0400
+
+xvm-devconfig (0.9) unstable; urgency=low
+
+  * added configs for sipb-xen-www
+
+ -- Yang Zhang <y_z@mit.edu>  Fri,  8 Aug 2008 02:40:16 -0400
+
+xvm-devconfig (0.8) unstable; urgency=low
+
+  * add more config for web interface
+
+ -- Greg Price <price@mit.edu>  Mon,  4 Aug 2008 23:25:24 -0400
+
+xvm-devconfig (0.7) unstable; urgency=low
+
+  * added dns.contact for sipb-xen-dns
+
+ -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 19:19:29 -0400
+
+xvm-devconfig (0.6) unstable; urgency=low
+
+  * added decomposition of DB URI (for sipb-xen-console)
+
+ -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 01:23:54 -0400
+
+xvm-devconfig (0.5) unstable; urgency=low
+
+  * remove deprecated /etc/invirt/{hosts,realm}
+  * add apt section with keyid
+  * add network section with gateway, netmask
+
+ -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:17:57 -0400
+
+xvm-devconfig (0.4) unstable; urgency=low
+
+  * Put host hostnames in values, not keys.
+
+ -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 23:42:30 -0400
+
+xvm-devconfig (0.3) unstable; urgency=low
+
+  * Add a YAML version with much more info.
+
+ -- Greg Price <price@mit.edu>  Sun, 27 Jul 2008 17:43:33 -0400
+
+xvm-devconfig (0.2) unstable; urgency=low
+
+  * Add postinst to reload config.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 20:38:59 -0400
+
+xvm-devconfig (0.1) unstable; urgency=low
+
+  * First cut.  Has hosts and realm.
+
+ -- Greg Price <price@mit.edu>  Mon, 21 Jul 2008 18:56:49 -0400
Index: package_tags/xvm-devconfig/0.41/debian/compat
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/compat	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/compat	(revision 2507)
@@ -0,0 +1,1 @@
+5
Index: package_tags/xvm-devconfig/0.41/debian/control
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/control	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/control	(revision 2507)
@@ -0,0 +1,14 @@
+Source: xvm-devconfig
+Section: servers
+Priority: important
+Maintainer: SIPB XVM Project <xvm@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: xvm-devconfig
+Architecture: all
+Provides: invirt-config
+Conflicts: invirt-config
+Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-base (>= 0.0.19)
+Description: XVM dev-cluster config
+  This is the master configuration package for the XVM development cluster.
Index: package_tags/xvm-devconfig/0.41/debian/copyright
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/copyright	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/copyright	(revision 2507)
@@ -0,0 +1,17 @@
+This software was written for the XVM project <xvm@mit.edu>
+of the MIT Student Information Processing Board.
+
+Copyright :
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+On Debian systems, the complete text of the GNU General Public License
+can be found in the file /usr/share/common-licenses/GPL.
Index: package_tags/xvm-devconfig/0.41/debian/rules
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/rules	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/rules	(revision 2507)
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
+
+binary-install/xvm-devconfig::
+	# Versions of CDBS newer than ours do this for us
+	dh_lintian -pxvm-devconfig
+	install -m 0644 -D k5login $(DEB_DESTDIR)/root/.k5login
Index: package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.install
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.install	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.install	(revision 2507)
@@ -0,0 +1,1 @@
+master.yaml etc/invirt
Index: package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.lintian-overrides
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.lintian-overrides	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.lintian-overrides	(revision 2507)
@@ -0,0 +1,1 @@
+xvm-devconfig binary: file-in-unusual-dir root/.k5login
Index: package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.triggers
===================================================================
--- package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.triggers	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/debian/xvm-devconfig.triggers	(revision 2507)
@@ -0,0 +1,1 @@
+activate invirt-reload
Index: package_tags/xvm-devconfig/0.41/k5login
===================================================================
--- package_tags/xvm-devconfig/0.41/k5login	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/k5login	(revision 2507)
@@ -0,0 +1,42 @@
+adehnert@ATHENA.MIT.EDU
+adehnert/root@ATHENA.MIT.EDU
+andersk@ATHENA.MIT.EDU
+andersk/root@ATHENA.MIT.EDU
+broder@ATHENA.MIT.EDU
+broder/root@ATHENA.MIT.EDU
+burrows@ATHENA.MIT.EDU
+burrows/root@ATHENA.MIT.EDU
+ecprice@ATHENA.MIT.EDU
+ecprice/root@ATHENA.MIT.EDU
+ezyang@ATHENA.MIT.EDU
+ezyang/root@ATHENA.MIT.EDU
+geofft@ATHENA.MIT.EDU
+geofft/root@ATHENA.MIT.EDU
+gyz@ATHENA.MIT.EDU
+gyz/root@ATHENA.MIT.EDU
+hartmans@ATHENA.MIT.EDU
+hartmans/root@ATHENA.MIT.EDU
+iannucci@ATHENA.MIT.EDU
+iannucci/root@ATHENA.MIT.EDU
+jiawen@ATHENA.MIT.EDU
+jiawen/root@ATHENA.MIT.EDU
+jontec@ATHENA.MIT.EDU
+jontec/root@ATHENA.MIT.EDU
+mitchb@ATHENA.MIT.EDU
+mitchb/root@ATHENA.MIT.EDU
+nathan_@ATHENA.MIT.EDU
+nathan_/root@ATHENA.MIT.EDU
+oremanj@ATHENA.MIT.EDU
+oremanj/root@ATHENA.MIT.EDU
+ppasupat@ATHENA.MIT.EDU
+ppasupat/root@ATHENA.MIT.EDU
+price@ATHENA.MIT.EDU
+price/root@ATHENA.MIT.EDU
+pweaver@ATHENA.MIT.EDU
+pweaver/root@ATHENA.MIT.EDU
+quentin@ATHENA.MIT.EDU
+quentin/root@ATHENA.MIT.EDU
+tabbott@ATHENA.MIT.EDU
+tabbott/root@ATHENA.MIT.EDU
+y_z@ATHENA.MIT.EDU
+y_z/root@ATHENA.MIT.EDU
Index: package_tags/xvm-devconfig/0.41/master.yaml
===================================================================
--- package_tags/xvm-devconfig/0.41/master.yaml	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/master.yaml	(revision 2507)
@@ -0,0 +1,77 @@
+contact: &contact xvm-dev@mit.edu
+adminacl: system:xvm-dev
+
+kerberos:
+ realm: ATHENA.MIT.EDU
+
+authz:
+ - type: afs
+   cell: athena.mit.edu
+   auth: no
+ - type: afs
+   cell: sipb.mit.edu
+   auth: no
+
+hosts: # hosts on which VMs run
+ - hostname: black-mesa.mit.edu
+   ip: 18.181.0.60
+ - hostname: torchwood-institute.mit.edu
+   ip: 18.181.0.165
+
+db:
+ uri: postgres://invirt@xvm-dev.mit.edu/invirt
+ host: xvm-dev.mit.edu
+ ip: 18.181.0.80
+ port: 5432
+ user: invirt
+ dbname: invirt
+
+console:
+ hostname: xvm-console-dev.mit.edu
+ ip: 18.181.0.230
+
+remote:
+ hostname: xvm-remote-dev.mit.edu
+ ip: 18.181.0.231
+
+dns:
+ contact: *contact
+ domains:  # first one is advertised
+  - dev.xvm.mit.edu
+  - 2.181.18.in-addr.arpa
+  - 1.181.18.in-addr.arpa
+ nameservers:
+  - hostname: xvm-dev.mit.edu
+    ip: 18.181.0.80
+
+dhcp:
+ gateway: 18.181.0.1
+ netmask: 255.255.0.0
+ dns:
+  - 18.70.0.160
+  - 18.71.0.151
+  - 18.72.0.3
+ search_domain: mit.edu
+
+mail:
+ forward: xvm-dev-auto@mit.edu
+
+xen:
+ network:
+  gateway: 18.181.0.1
+  netmask: 255.255.0.0
+  iface: eth0
+
+web:
+ baseuri: https://xvm-dev.mit.edu/
+ hostname: xvm-dev.mit.edu
+ errormail: *contact
+ errormail_exclude:
+  - '*'
+
+vnc:
+ base_port: 10003
+ proxy_ip: 18.181.0.80
+
+trac:
+ uri: https://xvm.scripts.mit.edu
Index: package_tags/xvm-devconfig/0.41/sysvms/s_console
===================================================================
--- package_tags/xvm-devconfig/0.41/sysvms/s_console	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/sysvms/s_console	(revision 2507)
@@ -0,0 +1,19 @@
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '256'
+
+disk        = ['phy:xenvg/s_console_hda,hda,w']
+
+name        = 's_console'
+
+vif         = [ 'ip=18.181.0.230,mac=00:16:3E:FC:FE:26' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = "/dev/hda1 ro"
+extra = '2 console=xvc0'
Index: package_tags/xvm-devconfig/0.41/sysvms/s_master
===================================================================
--- package_tags/xvm-devconfig/0.41/sysvms/s_master	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/sysvms/s_master	(revision 2507)
@@ -0,0 +1,19 @@
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '512'
+
+disk        = ['phy:xenvg/s_master_hda,hda,w']
+
+name        = 's_master'
+
+vif         = [ 'ip=18.181.0.80,mac=00:16:3e:6c:1e:f5' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = "/dev/hda1 ro"
+extra = '2 console=xvc0'
Index: package_tags/xvm-devconfig/0.41/sysvms/s_remote
===================================================================
--- package_tags/xvm-devconfig/0.41/sysvms/s_remote	(revision 2507)
+++ package_tags/xvm-devconfig/0.41/sysvms/s_remote	(revision 2507)
@@ -0,0 +1,19 @@
+import os
+
+release     = os.uname()[2]
+kernel      = '/boot/vmlinuz-%s' % release
+ramdisk     = '/boot/initrd.img-%s' % release
+memory      = '512'
+
+disk        = ['phy:xenvg/s_remote_hda,hda,w']
+
+name        = 's_remote'
+
+vif         = [ 'ip=18.181.0.231,mac=00:16:3e:26:dc:72' ]
+
+on_poweroff = 'destroy'
+on_reboot   = 'restart'
+on_crash    = 'restart'
+
+root = "/dev/hda1 ro"
+extra = '2 console=xvc0'